<template>
  <el-container>
    <el-main>
      <el-checkbox v-for="auth in authorities" :key="auth.id" border="" :label="auth.name">{{ auth.name }}</el-checkbox>
     
    

    </el-main>
  </el-container>

</template>


<script>

export default {
  computed: {
    roles() {
      return this.$store.getters.allRoles
    },
    authorities() {
      return this.$store.getters.allAuthorities
    }
  },
  created() {
    console.log('created')
    this.$store.dispatch('role/getAllRoles')
    this.$store.dispatch('authority/getAllAuthorities')
  },
}
</script>
